<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>All Courses</title>
    <!-- jQuery -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.1/jquery.min.js"></script>
    <!-- popper.js -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/2.9.2/umd/popper.min.js"></script>

    <!-- Bootstrap 4 -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"></script>

    <!-- DataTables -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.12.1/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.12.1/js/dataTables.bootstrap4.min.js"></script>

    <!-- Font-Awesome -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.2.0/css/all.min.css"/>

    
</head>
<body class="bg-light">
    <nav class="navbar navbar-expand-lg navbar-light sticky-top bg-white d-flex">
    <a class="navbar-brand" href="index.html"><img src = "images/Ionic_logo.png"></a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
    </nav>
    <div class="jumbotron rounded-0 bg-info mb-0">
        <h3 class="text-center text-white">ALL COURSES</h3>
    </div>
    <div class="container">
        <button id="btn-add-course" class="btn btn-outline-success mb-4 mt-5">Thêm Course</button>
        <table class="table table-bordered table-striped table-hover" id="courses-table">
          <thead>
            <tr>
              <th class="text-center">ID</th>
              <th class="text-center" width="50%">Name</th>
              <th class="text-center">Level</th>
              <th class="text-center" width="10%">Price</th>
              <th class="text-center" width="10%">Discounted Price</th>
              <th class="text-center" width="20%">Teacher</th>
              <th class="text-center">Action</th>
            </tr>
          </thead>
        </table>
      </div>

          <!-- Modal Create -->
    <div>
        <div id="create-modal" class="modal fade" tabindex="-1">
          <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="h5-modal-title">Create new course</h5>
                    <button class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <form>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Name</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="input-create-name" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Code</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="input-create-code" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Teacher</label>
                            </div>
                            <div class="col-sm-8">
                                <input type="text" id="input-create-teacher" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Duration</label>
                            </div>
                            <div class="col-sm-4">
                                <input type="text" id="input-create-duration" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Level</label>
                            </div>
                            <div class="col-sm-4">
                                <input type="text" id="input-create-level" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Price</label>
                            </div>
                            <div class="col-sm-3">
                                <input type="number" id="input-create-price" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Discounted Price</label>
                            </div>
                            <div class="col-sm-3">
                                <input type="number" id="input-create-discounted" class="form-control">
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label for="input-create-popular">Popular</label>
                            </div>
                            <div class="col-sm-2">
                                <input type="checkbox" id="input-create-popular" >
                            </div>
                        </div>
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label for="input-create-trending">Trending</label>
                            </div>
                            <div class="col-sm-2">
                                <input type="checkbox" id="input-create-trending">
                            </div>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-secondary" id="btn-create-cancel" data-dismiss="modal">Cancel</button>
                    <button class="btn btn-primary" id="btn-create">Create Course</button>
                </div>
            </div>
          </div>
        </div>
    </div>

    <!-- Modal Update -->
    <div>
        <div id="update-modal" class="modal fade" tabindex="-1">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="h5-modal-title">Update course</h5>
                        <button class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body">
                        <form>
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label>ID</label>
                                </div>
                                <div class="col-sm-2">
                                    <input type="text" id="input-update-id" class="form-control" readonly>
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label>Name</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" id="input-update-name" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label>Code</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" id="input-update-code" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label>Teacher</label>
                                </div>
                                <div class="col-sm-8">
                                    <input type="text" id="input-update-teacher" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label>Duration</label>
                                </div>
                                <div class="col-sm-4">
                                    <input type="text" id="input-update-duration" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label>Level</label>
                                </div>
                                <div class="col-sm-4">
                                    <input type="text" id="input-update-level" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label>Price</label>
                                </div>
                                <div class="col-sm-3">
                                    <input type="number" id="input-update-price" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label>Discounted Price</label>
                                </div>
                                <div class="col-sm-3">
                                    <input type="number" id="input-update-discounted" class="form-control">
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label for="input-update-popular">Popular</label>
                                </div>
                                <div class="col-sm-2">
                                    <input type="checkbox" id="input-update-popular" >
                                </div>
                            </div>
                            <div class="row form-group">
                                <div class="col-sm-4">
                                    <label for="input-update-trending">Trending</label>
                                </div>
                                <div class="col-sm-2">
                                    <input type="checkbox" id="input-update-trending">
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-primary" id="btn-update">Update Course</button>
                    </div>
                </div>
              </div>
        </div>
    </div>

    <!-- Modal Delete -->
    <div>
        <div id="delete-confirm-modal" class="modal fade" tabindex="-1">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="h5-modal-title">Delete Confirmation</h5>
                        <button class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body">
                        <label>Bạn có chắc chắn muốn xóa course này không?</label>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-danger" id="btn-confirm-delete-course">Confirm</button>
                        <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
<!-- Custom scripts and CSS -->
<script src="script.js"></script>
<script src="scriptCourses.js"></script>

</html>